Bug 1255172 (CVE-2015-5217)

Summary: CVE-2015-5217 ipsilon: Input validation flaw in handling of user supplied data
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: puiterwijk, rcritten, skontar, slong, ssorce, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150819,reported=20150815,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/ipsilon=affected,rhel-7.2/ipsilon=affected,cwe=CWE-20[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was discovered that the Ipsilon IdP server did not properly authorize a change of the provider's name. Non-administrative users could use this flaw to change the name to a duplicate value, which could possibly lead to denial-of-service attack.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1255176, 1255775    
Bug Blocks: 1255174    

Description Kurt Seifried 2015-08-19 20:30:20 UTC
Patrick Uiterwijk of Red Hat reports:

ipsilon does not properly sanitize user provided data in certain data fields.

Comment 1 Kurt Seifried 2015-08-19 20:36:14 UTC
Created ipsilon tracking bugs for this issue:

Affects: fedora-all [bug 1255176]

Comment 3 Stanislav Kontar 2015-08-24 09:12:42 UTC
Acknowledgement:

This issue was discovered by Patrick Uiterwijk of Red Hat.

Comment 4 Stanislav Kontar 2015-08-24 09:36:48 UTC
Analysis:

It was found that Ipsilon does not properly authorize change of the name of the provider. Non-admin users could change the name to a duplicate value which could possibly lead to DoS attack.

Comment 7 Adam Mariš 2015-10-29 16:42:48 UTC
Upstream patch:

https://pagure.io/ipsilon/826e6339441546f596320f3d73304ab5f7c10de6